import { Component, OnInit } from '@angular/core';
import {jwtDecode} from 'jwt-decode';

@Component({
  selector: 'app-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.css'],
})
export class HeaderComponent implements OnInit {
  isSuperAdmin: boolean = false;

  constructor() { }

  ngOnInit(): void {
    const token = localStorage.getItem('loginToken');
    if (token) {
      try {
        const decodedToken: any = jwtDecode(token);
        console.log('Decoded JWT:', decodedToken);
        this.isSuperAdmin = decodedToken.roles.includes('ROLE_SUPER_ADMIN');
      } catch (error) {
        console.error('Error decoding JWT:', error);
      }
    }
  }
}
